# University of Michigan Office of the Registrar Calendar Python Library
Python library to pull and parse University of Michigan Office of the Registrar calendars

## Example

```python
from um_ro_calendar.form_parser import FormParser
from um_ro_calendar.html_source import HTMLEventParser, HTMLFetcher

features = FormParser().process()
fetcher = HTMLFetcher(features, academic_calendar=True, registration_deadlines=False)
parser = HTMLEventParser(fetcher)
events = parser.events("Fall 2022")
```
